Main Page | Modules | File List | File Members

# InitSockets.h File Reference

Functions used to initialize the socket library in different platforms Socket loading/unloading for different platforms. More...

Go to the source code of this file.

## Functions
GSbool | InitializeSockets (GSchar *szIPAddress=NULL)
| (WIN32/XBOX/LINUX) Initialize the socket library
GSbool | InitializeSockets_SetOnConnectTimeout (GSint iTimeOut=5)
| (WIN32) Sets the Timeout value when connecting.
GSbool | UninitializeSockets ()
| (WIN32/XBOX/LINUX/PSX2) Uninitialize the socket library
GSbool | InitializeSockets_Test (GSchar *szIPAddress=NULL)
| (PSX2) Initialize the socket library

## Detailed Description

## Function Documentation

GSbool InitializeSockets | ( | GSchar * | szIPAddress = NULL | ) |

  | Description: Initialize the socket library with an optional IP address to bind to. Returns: The status of the call to the function Return values:
  GS_TRUE | on success
  GS_FALSE | on failure
  Parameters:
  szIPAddress | the IP address to bind to

GSbool InitializeSockets_SetOnConnectTimeout | ( | GSint | iTimeOut = 5 | ) |

  | Description: Set the amount of time to wait for a connection to establish. Defaults to 5 seconds; Returns: The status of the call to the function. Return values:
  GS_TRUE | on success
  GS_FALSE | on failure
  Parameters:
  iTimeOut | The number of seconds to wait for the connection.

GSbool InitializeSockets_Test | ( | GSchar * | szIPAddress = NULL | ) |

  | Description: Initialize the socket library on PSX2. THIS FUNCTION IS NOT TO BE USED. IT IS FOR TEST PURPOSES ONLY. USE THE ABOVE InitializeSockets() INSTEAD. Returns: The status of the call to the function. Return values:
  GS_TRUE | on success
  GS_FALSE | on failure
  Parameters:
  szIPAddress | The IP address to bound to.

GSbool UninitializeSockets | ( |  | ) |

  | Description: Unload the socket library. Returns: The status of the call to the functions. Return values:
  GS_TRUE | on success
  GS_FALSE | on failure

Ubi.com GameService SDK - ©UbiSoft Entertainment 2002
GameService development team